<template>
	<div class="row justify-content-center">
		<div class="col-5">
			<div class="card-group d-block d-md-flex shadow">
				<div class="card-header bg-dark">
					<div class="card-body p-4 h-100">
						<div class="row align-items-center h-100">
							<img :src="`../dist/fonts/register.svg`" :alt="alt" class="w-50 mx-auto">
						</div>
					</div>
				</div>
				<div class="card-body p-4 bg-white">
					<h2 class="text-center">{{ title }}</h2>
					<div class="input-group mb-3">
						<span class="input-group-text">
							<i class="fas fa-user-tie icon"></i>
						</span>
						<input class="form-control" type="text" placeholder="Username" id="username">
					</div>
					<div class="input-group mb-3">
						<span class="input-group-text">
							<i class="fas fa-envelope icon"></i>
						</span>
						<input class="form-control" type="email" placeholder="Email" id="email">
					</div>
					<div class="input-group mb-3">
						<span class="input-group-text">
							<i class="fas fa-key icon"></i>
						</span>
						<input class="form-control" type="password" placeholder="Password" id="password">
					</div>
					<div class="input-group mb-3">
						<span class="input-group-text">
							<i class="fas fa-key icon"></i>
						</span>
						<input class="form-control" type="password" placeholder="Repeat password" id="repeat_password">
					</div>
					<div class="row">
						<div class="col">
							<hr>
						</div>
					</div>
					<div class="row">
						<div class="col">
							<div class="d-grid gap-2">
								<a :href="btnLogin.url" class="btn btn-light btn-block" role="button">
									<i class="far fa-times-circle"></i> {{ btnLogin.title }}
								</a>
							</div>
						</div>
						<div class="col">
							<div class="d-grid gap-2">
								<a :href="btnAdd.url" class="btn btn-dark btn-block" role="button">
									<i class="far fa-check-circle"></i> {{ btnAdd.title }}
								</a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
	import '../../../img/register.svg'
	export default {
	  	name : 'register',
	  	data() {
	    	return {
	    		title : 'Registrarse',
				alt   : 'Registro',
				btnLogin : {
					url   : 'login',
					title : 'Cancelar'
				},
				btnAdd : {
					url   : 'register',
					title : 'Registrarse'
				}
	    	};
	  	},
	};
</script>
